Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.util
Class SymbolHash

    java.lang.Object
      weblogic.apache.xerces.util.SymbolHash

Deprecated. please use JDK supplied XML parsers and transformers

public class SymbolHash
extends Object

This class is an unsynchronized hash table primary used for String to Object mapping.

The hash code uses the same algorithm as SymbolTable class.

Nested Class Summary
`protected static class` | `SymbolHash.Entry` Deprecated. This class is a key table entry.

Field Summary
`protected SymbolHash.Entry[]` | `fBuckets` Deprecated. Buckets.
`protected int` | `fNum` Deprecated. Number of elements.
`protected int` | `fTableSize` Deprecated. Default table size.

Constructor Summary
`SymbolHash()` Deprecated. Constructs a key table with the default size.
`SymbolHash(int size)` Deprecated. Constructs a key table with a given size.

Method Summary
`void` | `clear()` Deprecated. Remove all key/value assocaition.
`Object` | `get(Object key)` Deprecated. Get the value associated with the given key.
`int` | `getLength()` Deprecated. Get the number of key/value pairs stored in this table.
`int` | `getValues(Object[] elements, int from)` Deprecated. Add all values to the given array.
`SymbolHash` | `makeClone()` Deprecated. Make a clone of this object.
`void` | `put(Object key, Object value)` Deprecated. Adds the key/value mapping to the key table.
`protected SymbolHash.Entry` | `search(Object key, int bucket)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fBuckets

    protected SymbolHash.Entry[] fBuckets

  Deprecated.
  Buckets.

### fNum

    protected int fNum

  Deprecated.
  Number of elements.

### fTableSize

    protected int fTableSize

  Deprecated.
  Default table size.

Constructor Detail

### SymbolHash

    public SymbolHash()

  Deprecated.
  Constructs a key table with the default size.

### SymbolHash

    public SymbolHash(int size)

  Deprecated.
  Constructs a key table with a given size.

Method Detail

### clear

    public void clear()

  Deprecated.
  Remove all key/value assocaition. This tries to save a bit of GC'ing by at least keeping the fBuckets array around.

### get

    public Object get(Object key)

  Deprecated.
  Get the value associated with the given key.

  Parameters:
    `key` -
  Returns:

### getLength

    public int getLength()

  Deprecated.
  Get the number of key/value pairs stored in this table.

  Returns:

### getValues

    public int getValues(Object[] elements,
                         int from)

  Deprecated.
  Add all values to the given array. The array must have enough entry.

  Parameters:
    `elements` - the array to store the elements
    `from` - where to start store element in the array
  Returns:
    number of elements copied to the array

### makeClone

    public SymbolHash makeClone()

  Deprecated.
  Make a clone of this object.

### put

    public void put(Object key,
                    Object value)

  Deprecated.
  Adds the key/value mapping to the key table. If the key already exists, the previous value associated with this key is overwritten by the new value.

  Parameters:
    `key` -
    `value` -

### search

    protected SymbolHash.Entry search(Object key,
                                      int bucket)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD